Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class FileExtensionFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          ix.util.FileExtensionFileFilter

    public class FileExtensionFileFilter

extends javax.swing.filechooser.FileFilter

Field Summary
`protected java.util.Collection` | `allowed`
`protected java.lang.String` | `description`

Constructor Summary
`FileExtensionFileFilter(java.util.Collection exts)`
`FileExtensionFileFilter(java.lang.String ext)`

Method Summary
`boolean` | `accept(java.io.File pathname)`
`java.lang.String` | `getDescription()`
`void` | `setAcceptDirectories(boolean b)`
`void` | `setCaseSensitive(boolean b)`
`void` | `setDescription(java.lang.String desc)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### allowed

    protected java.util.Collection allowed

### description

    protected java.lang.String description

Constructor Detail

### FileExtensionFileFilter

    public FileExtensionFileFilter(java.lang.String ext)

### FileExtensionFileFilter

    public FileExtensionFileFilter(java.util.Collection exts)

Method Detail

### setCaseSensitive

    public void setCaseSensitive(boolean b)

### setAcceptDirectories

    public void setAcceptDirectories(boolean b)

### setDescription

    public void setDescription(java.lang.String desc)

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`

### accept

    public boolean accept(java.io.File pathname)

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD